//
//  MyViewController.m
//  UITabBarExample
//
//  Created by valvoline on 11/23/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "MyViewController.h"
#import "UITabBarExampleAppDelegate.h"

@implementation MyViewController

-(id)initWithBackgroundColor:(UIColor *)color andTitle:(NSString *)title usingIconImage:(UIImage *)image {
	if(self = [super init]) {
		[self setTabBarItem:[[UITabBarItem alloc] initWithTitle:title image:image tag:0]];
		contentView = [[UIView alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
		contentView.backgroundColor = color;

		if( [title isEqualToString:@"controller1"] ) {		
			UITextField *text = [[UITextField alloc] initWithFrame:CGRectMake(100, 180, 120, 30)];
			text.autocorrectionType = UITextAutocorrectionTypeNo;
			//text.secureTextEntry = YES;
			//text.keyboardType = UIKeyboardTypeDefault;
			//text.keyboardAppearance = UIKeyboardAppearanceAlert;
			
			[text setDelegate:self];
			[text setBackgroundColor:[UIColor whiteColor]];
			[contentView addSubview:text];
			[text release];
			
			myLabel = [[UILabel alloc] initWithFrame:CGRectMake(0, 100, 320, 30)];
			[myLabel setBackgroundColor:[UIColor clearColor]];
			[myLabel setFont:[UIFont systemFontOfSize:14]];
			[myLabel setTextAlignment:UITextAlignmentCenter];
			[contentView addSubview:myLabel];
			[myLabel release];
		}
		else if( [title isEqualToString:@"controller2"] ) {	
			mySimpleDataSource = [[NSMutableArray alloc] init];
			[mySimpleDataSource addObject:@"entry 1"];
			[mySimpleDataSource addObject:@"entry 2"];
			[mySimpleDataSource addObject:@"entry 3"];
			[mySimpleDataSource addObject:@"entry 4"];
			[mySimpleDataSource addObject:@"entry 5"];
			
			UIPickerView *myPickerView = [[UIPickerView alloc] initWithFrame:CGRectMake(0, 200, 0, 0)];
			myPickerView.delegate = self;
			myPickerView.showsSelectionIndicator = YES;
			//myPickerView.dataSource = self;
			[contentView addSubview:myPickerView];
			[myPickerView release];
		
			myLabel = [[UILabel alloc] initWithFrame:CGRectMake(0, 100, 320, 30)];
			[myLabel setBackgroundColor:[UIColor clearColor]];
			[myLabel setFont:[UIFont systemFontOfSize:14]];
			[myLabel setTextAlignment:UITextAlignmentCenter];
			[contentView addSubview:myLabel];
			[myLabel release];
		}
		else if( [title isEqualToString:@"controller3"] ) {	
			UIDatePicker *myDatePicker = [[UIDatePicker alloc] initWithFrame:CGRectMake(0, 200, 0, 0)];
			myDatePicker.datePickerMode = UIDatePickerModeDate;
			//myDatePicker.minuteInterval = 10;
//			NSDate *minDate = [NSDate date];
			NSDate *maxDate = [[NSDate alloc] initWithString:@"2009-12-25 12:00:00 -0500"];
			myDatePicker.maximumDate = maxDate;
			[maxDate release];
			[myDatePicker addTarget:self action:@selector(dateChanged:) forControlEvents:UIControlEventValueChanged];
			[contentView addSubview:myDatePicker];
			[myDatePicker release];
			
			myLabel = [[UILabel alloc] initWithFrame:CGRectMake(0, 100, 320, 30)];
			[myLabel setBackgroundColor:[UIColor clearColor]];
			[myLabel setFont:[UIFont systemFontOfSize:14]];
			[myLabel setTextAlignment:UITextAlignmentCenter];
			[contentView addSubview:myLabel];
			[myLabel release];
		}
		
		self.view = contentView;
		[contentView release];
	}
//	UIAlertView *myAlert = [[UIAlertView alloc] initWithTitle:@"Alert" message:[NSString stringWithFormat:@"%@ selected", title] delegate:nil cancelButtonTitle:@"OK" otherButtonTitles:nil];
//	[myAlert show];
//	[myAlert release];
	return self;	
}

- (void)viewWillAppear:(BOOL)animated {
	NSString *tempTitle = [NSString stringWithString:[[self tabBarItem] title]];
	if( [tempTitle isEqualToString:@"controller1"] || \
	   [tempTitle isEqualToString:@"controller2"] ) {
		UIAlertView *myAlert = [[UIAlertView alloc] \
								initWithTitle:@"Alert"\
								message:[NSString stringWithFormat:@"%@ selected", tempTitle] \
								delegate:nil cancelButtonTitle:@"OK" otherButtonTitles:nil];
		[myAlert show];
		[myAlert release];
	} else {
		UITabBarExampleAppDelegate *appDelegate = (UITabBarExampleAppDelegate *)[[UIApplication sharedApplication] delegate];
		UIActionSheet *mySheet = [[UIActionSheet alloc] initWithTitle:tempTitle \
									delegate:self cancelButtonTitle:@"cancel" \
									destructiveButtonTitle:@"destruct" \
									otherButtonTitles:@"other", nil];
		[mySheet showFromTabBar:[[appDelegate getTabBarController] tabBar]];
	}
}

#pragma mark UITextField stuff
- (BOOL)textFieldShouldReturn:(UITextField *)textField {
	[textField resignFirstResponder];
	return YES;
}

- (void)textFieldDidEndEditing:(UITextField *)textField {
	[myLabel setText:[NSString stringWithFormat:@"you entered: %@", textField.text]];
	textField.text = @"";
}

#pragma mark UIPickerView stuff
- (NSInteger)numberOfComponentsInPickerView:(UIPickerView *)pickerView {
	return 1;
}

- (NSInteger)pickerView:(UIPickerView *)pickerView numberOfRowsInComponent:(NSInteger)component {
	return [mySimpleDataSource count];
}

- (NSString *)pickerView:(UIPickerView *)pickerView titleForRow:(NSInteger)row forComponent:(NSInteger)component {
	return [mySimpleDataSource objectAtIndex:row];
}

- (void)pickerView:(UIPickerView *)pickerView didSelectRow:(NSInteger)row inComponent:(NSInteger)component {
	[myLabel setText:[NSString stringWithFormat:@"you've selected: %@", [mySimpleDataSource objectAtIndex:row]]];
}

#pragma mark UIDatePicker stuff

-(void)dateChanged:(id)sender {
	UIDatePicker *control = (UIDatePicker *)sender;
	NSDate *selectedDate = control.date;
	[myLabel setText:[NSString stringWithFormat:@"date selected: %@", selectedDate]];
}

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
