//
//  UITabBarExampleAppDelegate.m
//  UITabBarExample
//
//  Created by valvoline on 11/23/09.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import "UITabBarExampleAppDelegate.h"
#import "MyViewController.h"

@implementation UITabBarExampleAppDelegate

- (void)applicationDidFinishLaunching:(UIApplication *)application {    
	window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
	
	//Init of UITabBarController
	myTabController = [[UITabBarController alloc] init];
	myTabController.delegate = self;
	
	//Make an array of ViewControllers and pass it to TabBarController
	controllers = [[NSMutableArray alloc] init];
	[controllers addObject:[[[MyViewController alloc] initWithBackgroundColor:[UIColor redColor] andTitle:@"controller1" usingIconImage:[UIImage imageNamed:@"icon1.png"]] autorelease]];
	[controllers addObject:[[[MyViewController alloc] initWithBackgroundColor:[UIColor whiteColor] andTitle:@"controller2" usingIconImage:[UIImage imageNamed:@"icon2.png"]] autorelease]];
	[controllers addObject:[[[MyViewController alloc] initWithBackgroundColor:[UIColor blueColor] andTitle:@"controller3" usingIconImage:[UIImage imageNamed:@"icon3.png"]] autorelease]];
	[controllers addObject:[[[MyViewController alloc] initWithBackgroundColor:[UIColor greenColor] andTitle:@"controller4" usingIconImage:[UIImage imageNamed:@"icon4.png"]] autorelease]];
	myTabController.viewControllers = controllers;
	[controllers release];
	myTabController.selectedIndex = 0;
	
	[window addSubview:myTabController.view];
	
    // Override point for customization after application launch
    [window makeKeyAndVisible];
}

-(UITabBarController *)getTabBarController {return myTabController;}

- (void)dealloc {
	[myTabController release];
    [window release];
    [super dealloc];
}


@end
